Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class ShortDatatype

    java.lang.Object
      org.teleal.cling.model.types.AbstractDatatype<Short>
          org.teleal.cling.model.types.ShortDatatype

All Implemented Interfaces:
  Datatype<Short>

    public class ShortDatatype

extends AbstractDatatype<Short>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from interface org.teleal.cling.model.types.Datatype
`Datatype.Builtin, Datatype.Default`

Constructor Summary
`ShortDatatype()`

Method Summary
`boolean` | `isHandlingJavaType(Class type)`
`Short` | `valueOf(String s)` Transforms a string representation into a value of the supported type.

Methods inherited from class org.teleal.cling.model.types.AbstractDatatype
`getBuiltin, getDisplayString, getString, getValueType, isValid, setBuiltin, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortDatatype

    public ShortDatatype()

Method Detail

### isHandlingJavaType

    public boolean isHandlingJavaType(Class type)

  Specified by:
    `isHandlingJavaType` in interface `Datatype<Short>`
  Overrides:
    `isHandlingJavaType` in class `AbstractDatatype<Short>`
  Returns:
    `true` if this datatype can handle values of the given Java type.

### valueOf

    public Short valueOf(String s)
                  throws InvalidValueException

  Description copied from interface: `Datatype`
  Transforms a string representation into a value of the supported type.

  Specified by:
    `valueOf` in interface `Datatype<Short>`
  Overrides:
    `valueOf` in class `AbstractDatatype<Short>`
  Parameters:
    `s` - The string representation of a value.
  Returns:
    The converted value or `null` if the string was `null` or empty.
  Throws:
    `InvalidValueException` - If the string couldn't be parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.